Package org.jfree.layouting.renderer.model.page

## Class DefaultPageGrid

- java.lang.Object
- - org.jfree.layouting.renderer.model.page.DefaultPageGrid

- All Implemented Interfaces:
    `java.lang.Cloneable`, `PageGrid`

      public class DefaultPageGrid
      extends java.lang.Object
      implements PageGrid

  Creation-Date: 15.06.2006, 16:16:00
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPageGrid​(PageContext pageContext, OutputProcessorMetaData metaData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `int` | `getColumnCount​()` |
    `PhysicalPageBox` | `getPage​(int row, int col)` |
    `int` | `getRowCount​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPageGrid

          public DefaultPageGrid​(PageContext pageContext,
                                 OutputProcessorMetaData metaData)

  - ### Method Detail

    - #### getPage

          public PhysicalPageBox getPage​(int row,
                                         int col)

      Specified by:
        `getPage` in interface `PageGrid`

    - #### getRowCount

          public int getRowCount​()

      Specified by:
        `getRowCount` in interface `PageGrid`

    - #### getColumnCount

          public int getColumnCount​()

      Specified by:
        `getColumnCount` in interface `PageGrid`

    - #### clone

          public java.lang.Object clone​()

      Specified by:
        `clone` in interface `PageGrid`
      Overrides:
        `clone` in class `java.lang.Object`